Bug 1623852 - OVN Python 3.6 support
Summary: OVN Python 3.6 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Lucas Alvares Gomes
QA Contact: Eran Kuris
James Smith
URL:
Whiteboard:
Depends On:
Blocks: 1708789
TreeView+ depends on / blocked
 
Reported: 2018-08-30 10:25 UTC by Bernard Cafarelli
Modified: 2019-09-26 10:45 UTC (History)
7 users (show)

Fixed In Version: python-networking-ovn-6.0.1-0.20190606190407.6aab45e.el8ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1708789 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:18:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 601536 0 None None None 2018-09-27 09:44:46 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:13 UTC

Description Bernard Cafarelli 2018-08-30 10:25:49 UTC
OpenStack is moving to run under Python 3 by default in community goal:
https://governance.openstack.org/tc/goals/stein/python3-first.html

OVN should support running under python 3.6, steps include:
* Switch upstream gates to py3
* Zuul native jobs
* Local testing (tempest runs, …) with Fedora 28 system

Comment 5 Lucas Alvares Gomes 2018-09-27 09:44:46 UTC
The patch [0] is now merged and it fixed the current Python 3 errors we had in networking-ovn. The patch also added a new job in the gate to run tempest against a OS cloud using Python 3 (including networking-ovn ofc).

[0] https://review.openstack.org/601536

Comment 7 Lucas Alvares Gomes 2019-02-14 13:53:47 UTC
Moving this to POST as suggested in the weekly OVN meeting.

In the upstream networking-ovn gate we run unit tests, functional tests, tempest tests (against master and stable versions of OVS) all using Python 3 by default.

Comment 12 errata-xmlrpc 2019-09-21 11:18:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.